%global gem_name gearchanger-mcollective-plugin
%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
    %{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%endif

Summary:        M-Collective agent file for openshift-origin
Name:           openshift-origin-msg-node-mcollective
Version:        0.1.1
Release:        3%{?dist}
Group:          Development/Languages
License:        ASL 2.0
URL:            http://openshift.redhat.com
Source0:        http://mirror.openshift.com/pub/openshift-origin/source/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
Requires:       ruby(abi) = 1.8
%endif
%if 0%{?fedora} >= 17
Requires:       ruby(abi) = 1.9.1
%endif

Requires:       rubygems
Requires:       rubygem(open4)
Requires:       rubygem(json)
Requires:       rubygem(openshift-origin-node)
Requires:       mcollective
# For facter section
Requires:       facter
Requires:       openssh

BuildRequires:  ruby-devel
BuildRequires:  ruby
BuildArch:      noarch

%description
M-Collective agent file for openshift-origin

%prep
%setup -q

%clean
rm -rf %{buildroot}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libexecdir}/mcollective/mcollective/agent
mkdir -p %{buildroot}%{_sysconfdir}/cron.minutely

%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
mkdir -p %{buildroot}%{ruby_sitelib}/facter
install -Dp -m0644 facts/stickshift_facts.rb %{buildroot}%{ruby_sitelib}/facter/
%endif

%if 0%{?fedora} >= 17
mkdir -p %{buildroot}%{ruby_vendorlibdir}/facter
install -Dp -m0644 facts/stickshift_facts.rb %{buildroot}%{ruby_vendorlibdir}/facter/
%endif


install -Dp -m0644 src/stickshift.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/
install -Dp -m0644 src/stickshift.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/
install -Dp -m0755 facts/stickshift-facts %{buildroot}%{_sysconfdir}/cron.minutely/
install -Dp -m0755 facts/update_yaml.rb %{buildroot}%{_libexecdir}/mcollective/

%files
%doc COPYRIGHT LICENSE
%{_libexecdir}/mcollective/mcollective/agent/stickshift.rb
%{_libexecdir}/mcollective/mcollective/agent/stickshift.ddl

%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
  %{ruby_sitelib}/facter/stickshift_facts.rb
%endif

%if 0%{?fedora} >= 17
  %{ruby_vendorlibdir}/facter/stickshift_facts.rb
%endif

%{_libexecdir}/mcollective/update_yaml.rb
%{_sysconfdir}/cron.minutely/stickshift-facts

%changelog
* Tue Jul 31 2012 Troy Dawson <tdawson@redhat.com> 0.1.1-3
- Fixed various spec file problems
- Added openssh as a dependancy

* Mon Jul 30 2012 Troy Dawson <tdawson@redhat.com> 0.1.1-2
- Changed to openshift-origin-msg-node-mcollective
- Added the doc files and lines.
- Change ruby_sitelibdir to ruby_vendorlibdir
- Changed permissions of update_yaml.rb and stickshift-facts

* Wed Jul 11 2012 Adam Miller <admiller@redhat.com> 0.1.1-1
- bump_minor_versions for sprint 15 (admiller@redhat.com)

* Wed Jul 11 2012 Adam Miller <admiller@redhat.com> 0.0.5-1
- Fix validation. (mpatel@redhat.com)
- Add missing method to DDL. (mpatel@redhat.com)

* Tue Jul 10 2012 Adam Miller <admiller@redhat.com> 0.0.4-1
- Merge pull request #211 from kraman/dev/kraman/bugs/835489
  (dmcphers@redhat.com)
- Fix to work around a bug in mcollective that doesn't convert string true into
  a boolean anymore. (mpatel@redhat.com)
- Fix stickshift DDL. (mpatel@redhat.com)
- Bugz 835489. Fixing location for district config file and adding in missing
  node_profile_enabled blocks (kraman@gmail.com)

* Wed Jul 10 2012 Adam Miller <admiller@redhat.com> 0.0.3-2
- Updated to install from cp, getting ready for Fedora 18 pkg review

* Mon Jul 09 2012 Dan McPherson <dmcphers@redhat.com> 0.0.3-1
- don't send stickshift logs to debug, instead use info (mmcgrath@redhat.com)

* Tue Jul 03 2012 Adam Miller <admiller@redhat.com> 0.0.2-1
- Automatic commit of package [stickshift-mcollective-agent] release [0.0.1-1].
  (kraman@gmail.com)
- Fix typo and remove dependency. (mpatel@redhat.com)
- MCollective updates - Added mcollective-qpid plugin - Added mcollective-
  gearchanger plugin - Added mcollective agent and facter plugins - Added
  option to support ignoring node profile - Added systemu dependency for
  mcollective-client (kraman@gmail.com)

* Fri Jun 29 2012 Krishna Raman <kraman@gmail.com> 0.0.1-1
- new package built with tito

